#include <iostream>
using namespace std;
bool satisfied(int demand[7]);		//check if all demand is satisfied
int wage(int D[7], int F, int P, int startm, int full[7], int part[7]);		//calculate the wage 

int main() {
    int D[7], F, P;
    for(int i=0; i<7; i++) {
        cin>>D[i];
    }
    cin>>F>>P;
    int tempFull[7], tempPart[7], full[7], part[7];
    int bestWage=wage(D, F, P, 0, full, part);
    
    //for starting day=1....7, find the day with lowest wage 
    for(int i=1; i<7; i++) {		
        int curWage=wage(D, F, P, i, tempFull, tempPart);
        if(curWage<bestWage) {
            bestWage=curWage;
            for(int j=0; j<7; j++) {
                full[j]=tempFull[j];
                part[j]=tempPart[j];
            }
        }
    }
    
    cout<<full[0];
    for(int i=1; i<7; i++) {
        cout<<" "<<full[i];
    }
    cout<<endl;
    
	cout<<part[0];
    for(int i=1; i<7; i++) {
        cout<<" "<<part[i];
    }
    cout<<endl;
    
	return 0;
}


int wage(int D[7], int F, int P, int start, int full[7], int part[7]) {
    int demand[7];
    for(int i=0; i<7; i++) {
        demand[i]=D[i];
    }
    int officer[7]={0};
    int offNum=0;
    int bestWage=0;
    for(int i=0; i<7; i++) {	//for every day's demand
        int prevDemand[7];
        for(int j=0; j<7; j++) {
            prevDemand[j]=demand[j];
        }
        int ind=(i+start)%7;
        officer[ind]=demand[ind];
        offNum+=officer[ind];
        for(int j=0; j<5; j++) {
            demand[(ind+j)%7]-=officer[ind];
            if(demand[(ind+j)%7]<0) {
                demand[(ind+j)%7]=0;
            }
        }
        if(satisfied(demand)) {				//if is last iteration : redo the last step by using both parttime + fulltime
            officer[ind]=0;
            for(int j=0; j<5; j++) {
                bestWage+=(prevDemand[(ind+j)%7]*P);
            }
             
            for(int j=1; j<=prevDemand[ind]; j++) {
                int curWage=j*F;
                for(int k=0; k<5; k++) {
                    if(prevDemand[(ind+k)%7]-j>0) {
                        curWage+=(prevDemand[(ind+k)%7]-j)*P;
                    }
                }
                if(curWage<bestWage) {
                    bestWage=curWage;
                    officer[ind]=j;
                }
            }
            for(int j=1; j<7; j++) {
                bestWage+=officer[(ind+j)%7]*F;
            }
            for(int j=0; j<7; j++) {
                full[j]=officer[j];
                part[j]=0;
            }
            for(int k=0; k<5; k++) {
                if(prevDemand[(ind+k)%7]-officer[ind]>0) {
                    part[(ind+k)%7]=prevDemand[(ind+k)%7]-officer[ind];
                }
            }
            break;
        }
    }
    return bestWage;
}
bool satisfied(int demand[7]) {
    bool sat=true;
    for(int i=0; i<7; i++) {
        if(demand[i]!=0) {
            sat=false;
            break;
        }
    }
    return sat;
}


